-- не настраивать
require( "scripts/game/deftime.lua" );
require( "scripts/game/deftasks.lua" );
GameObject = {
-- основные параметры
    Params = {
        ID="henhouse";
        image="henhouse4";
        width=8;
        height=5;
        GridData = { 
            1,0,0,0,0,0,0,1,
            1,1,0,0,1,0,0,1,
            1,1,0,1,1,1,1,0,
            0,1,1,1,1,1,0,0,
            0,0,1,1,1,0,0,0
        };
        RandomTasks=0;
    };
    -- точки подхода персонажа
    ActivePoints = { 
        take =   { 
                        { {"hen4"},  4,0,0, 0,  0,0,0 };        
                        { {"hen4"},  2,0,0, 0,  0,0,0 };
                        { {"hen4"},  6,0,0, 0,  0,0,0 };
                     }; 
        br_plank = {  { {}, 1,-1,0, 0,  0,0,0 };  };
    };
    Objects = {};
    -- перечисление всех задач для обьекта
    Tasks = {
        br_plank = { FuncName="PlankingTaskExecute", timer=1, time_tick=100, restore_health=1000, not_need_action=1 };
    };
    -- перечисление всех триггеров для обьекта
    Triggers = { 
        need_repair = {FuncName="NeedRepairTriger", NotRunWhen={}, timer={ 55 }, first_timer={ 10000 }, amount=1, cur_value=0, koef=0.5 }
    };
    --задачи которые начинают выполнятся после создания обьекта
    InitActiveTasks = {};
    --задачи которые обьект ожидает после создания обьекта
    InitExpectedTasks = {};
};
function GameObject:Get()
    return self;
end
function GetParams()
    aObj = GameObject:Get();   
    return aObj.Params;
end

function PlankingTaskExecute()
    aObj = GameObject:Get();   
    CPP_SetAnimState("normal");
    return 0;
end

function NeedRepairTriger()
    DefNeedRepairTrigerFarm4("hen","");
end

